GDB (xrefs)

Classes | Namespaces | Functions
function-view.h File Reference

Go to the source code of this file.

## Classes
union | gdb::fv_detail::erased_callable
struct | gdb::function_view< Signature >
class | gdb::function_view< Res(Args...)>
struct | gdb::function_view< Res(Args...)>::IsCompatibleCallable< Callable, Res2 >
struct | gdb::function_view< Res(Args...)>::IsFunctionView< Callable >

## Namespaces
| gdb
| gdb::fv_detail

## Functions
template<typename Res , typename... Args>
constexpr bool | gdb::operator== (const function_view< Res(Args...)> &f, std::nullptr_t) noexcept
template<typename Res , typename... Args>
constexpr bool | gdb::operator== (std::nullptr_t, const function_view< Res(Args...)> &f) noexcept
template<typename Res , typename... Args>
constexpr bool | gdb::operator!= (const function_view< Res(Args...)> &f, std::nullptr_t) noexcept
template<typename Res , typename... Args>
constexpr bool | gdb::operator!= (std::nullptr_t, const function_view< Res(Args...)> &f) noexcept